<?php
/**
 * Main admin class
 *
 * @author Your Inspiration Themes
 * @package YITH Footer Banner
 * @version 1.0.3
 */
if ( !defined( 'YITH_FBANNER' ) ) { exit; } // Exit if accessed directly
global $yith_fbanner_options;
$yith_fbanner_options = array(
    //tab general
    'general' => array(
        'label' => __('اصلی', 'yit'),
        'sections' => array(
            'general' => array(
                'title' =>  __('تنظیمات اصلی', 'yit'),
                'description' => '',
                'fields' => array(
                    'yith_fbanner_enable' => array(
                        'title' => __('فعال کردن افزونه بنر برای فوتر', 'yit'),
                        'description' => __( '(فعال سازی بنر فوتر.(پیش فرض: خاموش', 'yit' ),
                        'type' => 'checkbox',
                        'std' => false
                    ),
                    'yith_fbanner_image' => array(
                        'title' => 'لوگو',
                        'description' => __( 'از اینجا می توانید لوگو را تنظیم کنید تا در سمت چپ قرار گیرد', 'yit' ),
                        'type' => 'upload',
                        'std' => YITH_FBANNER_URL . 'assets/images/iconposta.png'
                    ),
                    'yith_fbanner_message' => array(
                        'title' => __('عنوان', 'yit'),
                        'description' => __( 'نمایش عنوان. می توانید از کد اچ تی ام ال استفاده کنید', 'yit' ),
                        'type' => 'text',
                        'std' => __( 'به ما ملحق شوید', 'yit' )
                    ),
                    'yith_fbanner_sub_message' => array(
                        'title' => __('زیر عنوان', 'yit'),
                        'description' => __( 'نمایش پیام.می توانید از کد اچ تی ام ال استفاده کنید', 'yit' ),
                        'type' => 'text',
                        'std' => __( "وارد کردن آدرس ایمیل برای اطلاع رسانی", 'yit' )
                    ),
                    'yith_fbanner_link' => array(
                        'title' => __('لینک', 'yit'),
                        'description' => __( 'در صورتی که می خواهید لوگو و عنوان و زیر عنوان را وارد کرده و لینک دهید می توانید از اینجا انجام دهید', 'yit' ),
                        'type' => 'text',
                        'std' => __( "http://yithemes.com/?ap_id=yith-fbanner", 'yit' )
                    ),
                    'yith_fbanner_hide_message' => array(
                        'title' => __('مخفی کردن دکمه', 'yit'),
                        'description' => __( 'مخفی کردن', 'yit' ),
                        'type' => 'text',
                        'std' => __( "مخفی سازی", 'yit' )
                    ),
                    'yith_fbanner_hide_forever_message' => array(
                        'title' => __('مخفی کردن برای همیشه', 'yit'),
                        'description' => __( 'نمایش متن دکمه برای همیشه', 'yit' ),
                        'type' => 'text',
                        'std' => __( "مخفی کردن برای همیشه", 'yit' )
                    ),
                    'yith_fbanner_custom_style' => array(
                        'title' => 'حالت سفارشی',
                        'description' => __( 'در اینجا می توانید کد سی اس اس دلخواه خود را وارد کنید', 'yit' ),
                        'type' => 'textarea',
                        'std' => ''
                    ),
                )
            ),
            'typography' => array(
                'title' =>  __('تایپوگرافی', 'yit'),
                'description' => '',
                'fields' => array(
                    'yith_fbanner_title_font' => array(
                        'title' =>  __('فونت عنوان پیام', 'yit'),
                        'description' => __('انتخاب نوع فونت،اندازه و رنگ برای متن عنوان های داخلی', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 25,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'bold',
                            'color' => '#FFFFFF',
                        ),
                    ),
                    'yith_fbanner_paragraph_font' => array(
                        'title' =>  __('فونت پاراگراف متن', 'yit'),
                        'description' => __('انتخاب نوع فونت، اندازه و رنگ برای متن پیام داخل پاراگراف', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 12,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'regular',
                            'color' => '#FFFFFF',
                        ),
                    ),
                    'yith_fbanner_hide_font' => array(
                        'title' =>  __('مخفی سازی فونت های دکمه ', 'yit'),
                        'description' => __('انتخاب نوع فونت،اندازه و رنگ برای دکمه ی پنهان بنر فوتر', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 10,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'regular',
                            'color' => '#FFFFFF',
                        ),
                    )
                )
            ),
        )
    ),
    //tab background
    'background' => array(
        'label' => __('پس زمینه', 'yit'),
        'sections' => array(
            'background' => array(
                'title' =>  __('تنظیمات پس زمینه', 'yit'),
                'description' => __('سفارشی سازی پس زمینه بنر فوتر ', 'yit'),
                'fields' => array(
                    'yith_fbanner_background_image' => array(
                        'title' =>  __('تصویر پس زمینه', 'yit'),
                        'description' => __("بارگذاری یا انتخاب تصویر پس زمینه از کتابخانه ی چند رسانه ای, اگر این مورد را نمی خواهید به راحتی آن را حذف کنید", 'yit'),
                        'type' => 'upload',
                        'std' => YITH_FBANNER_URL . 'assets/images/pattern.png',
                    ),
                    'yith_fbanner_background_color' => array(
                        'title' =>  __('رنگ پس زمینه', 'yit'),
                        'description' => __('انتخاب رنگ پس زمینه', 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#0c445b',
                    ),
                    'yith_fbanner_background_border' => array(
                        'title' =>  __('شخصی سازی خط کادر', 'yit'),
                        'description' => __("انتخاب رنگ خط کادر", 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#01313b',
                    ),
                    'yith_fbanner_background_repeat' => array(
                        'title' =>  __('تکرار پس زمینه', 'yit'),
                        'description' => __( 'انتخاب حالت تکراری برای تصویر پس زمینه', 'yit' ),
                        'type' => 'select',
                        'std' => apply_filters( 'yith_fbanner_background_repeat_std', 'repeat' ),
                        'options' => array(
                            'repeat' => __( 'تکرار', 'yit' ),
                            'repeat-x' => __( 'تکرار افقی', 'yit' ),
                            'repeat-y' => __( 'تکرار عمودی', 'yit' ),
                            'no-repeat' => __( 'بدون تکرار', 'yit' ),
                        )
                    ),
                    'yith_fbanner_background_position' => array(
                        'title' =>  __('موقعیت پس زمینه', 'yit'),
                        'description' =>  __( 'انتخاب موقعیت قرارگیری تصویر پس زمینه', 'yit' ),
                        'type' => 'select',
                        'options' => array(
                            'center' => __( 'وسط', 'yit' ),
                            'top left' => __( 'بالا و چپ', 'yit' ),
                            'top center' => __( 'بالا و وسط', 'yit' ),
                            'top right' => __( 'بالا و سمت راست', 'yit' ),
                            'bottom left' => __( 'پایین و چپ', 'yit' ),
                            'bottom center' => __( 'پایین و وسط', 'yit' ),
                            'bottom right' => __( 'پایین و راست', 'yit' ),
                        ),
                        'std' => apply_filters( 'yith_fbanner_background_position_std', 'top left' )
                    ),
                    'yith_fbanner_background_attachment' => array(
                        'title' =>  __('پس زمینه ی ضمیمه شده', 'yit'),
                        'description' => __( 'انتخاب تصویر ضمیمه شده برای پس زمینه', 'yit' ),
                        'type' => 'select',
                        'options' => array(
                            'scroll' => __( 'اسکرول', 'yit' ),
                            'fixed' => __( 'اندازه کامل', 'yit' ),
                        ),
                        'std' => apply_filters( 'yith_fbanner_background_attachment_std', 'scroll' )
                    )
                )
            )
        )
    ),
    //tab container
    'newsletter' => array(
        'label' => __('خبرنامه', 'yit'),
        'sections' => array(
            'newsletter' => array(
                'title' =>  __('خبرنامه', 'yit'),
                'description' => __('افزودن فرم خبرنامه در بنر فوتر', 'yit'),
                'fields' => array(
                    'yith_fbanner_enable_newsletter_form' => array(
                        'title' =>  __('فعال کردن فرم خبرنامه', 'yit'),
                        'description' => __('فعال سازی فرم خبرنامه برای بنر فوتر', 'yit'),
                        'type' => 'checkbox',
                        'std' => true
                    ),
                    'yith_fbanner_newsletter_top_text' => array(
                        'title' =>  __('متن بالا', 'yit'),
                        'description' => __('نوشتن متن بالای فیلد خبرنامه', 'yit'),
                        'type' => 'text',
                        'std' => 'پر کردن فرم ثبت نام'
                    ),
                    'yith_fbanner_newsletter_top_text_font' => array(
                        'title' =>  __('فونت متن بالا', 'yit'),
                        'description' => __('انتخاب نوع فونت،اندازه و رنگ برای فونت متن', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 10,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'bold',
                            'color' => '#ffffff',
                        ),
                    ),
                    'yith_fbanner_newsletter_submit_font' => array(
                        'title' =>  __('فونت ارسال خبرنامه', 'yit'),
                        'description' => __('انتخاب نوع فونت،اندازه و رنگ برای دکمه ی ارسال', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 10,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'bold',
                            'color' => '#ffffff',
                        ),
                    ),
                    'yith_fbanner_newsletter_email_font' => array(
                        'title' =>  __('نام و ایمیل فونت ورودی خبرنامه', 'yit'),
                        'description' => __('انتخاب نوع فونت،اندازه و رنگ برای نام و ایمیل فیلد ورودی', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 10,
                            'unit' => 'px',
                            'family' => 'BYekan',
                            'style' => 'regular',
                            'color' => '#8f8f8f',
                        ),
                    ),
                    'yith_fbanner_newsletter_submit_background' => array(
                        'title' =>  __('پس زمینه ارسال خبرنامه', 'yit'),
                        'description' => __('پس زمینه دکمه ارسال ', 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#ff9c00',
                    ),
                    'yith_fbanner_newsletter_submit_background_hover' => array(
                        'title' =>  __('پس زمینه ی بخش ارسال خبرنامه در هنگام نگه داشتن موس بر روی آن', 'yit'),
                        'description' => __('پس زمینه ی بخش ارسال خبرنامه در هنگام نگه داشتن موس بر روی آن', 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#f7b957',
                    )
                )
            ),
           'newsletter_configuration' => array(
                'title' =>  __('پیکره بندی فرم ', 'yit'),
                'description' => __('پیکره بندی فرم و هر فیلدی، برای ادغام خصوصیات خبرنامه برای خدمات خارجی', 'yit'),
                'fields' => array(
                    'yith_fbanner_newsletter_action' => array(
                        'title' =>  __('آدرس', 'yit'),
                        'description' => __('تنظیم آدرس فرم', 'yit'),
                        'type' => 'text',
                        'std' => ''
                    ),
                    'yith_fbanner_newsletter_method' => array(
                        'title' =>  __('حالت فرم', 'yit'),
                        'description' => __('تنظیم حالت فرم درخواست', 'yit'),
                        'type' => 'select',
                        'options' => array(
                            'POST' => 'نوشته',
                            'GET'  => 'گرفتن',
                        ),
                        'std' => 'نوشته'
                    ),
                    'yith_fbanner_newsletter_name_label' => array(
                        'title' =>  __('"نام" برچسب فیلد', 'yit'),
                        'description' => __('برچسب فیلد نام، اگر خالی بگذارید هیچ نامی نمایش داده نخواهد شد', 'yit'),
                        'type' => 'text',
                        'std' => 'نام',
                    ),
                    'yith_fbanner_newsletter_name_name' => array(
                        'title' =>  __('"نام" فیلد نام', 'yit'),
                        'description' => __(' "نام" صفت فیلد نام', 'yit'),
                        'type' => 'text',
                        'std' => 'نام',
                    ),
                    'yith_fbanner_newsletter_email_label' => array(
                        'title' =>  __('"ایمیل" برچسب فیلد', 'yit'),
                        'description' => __('برچسب فیلد ایمیل ', 'yit'),
                        'type' => 'text',
                        'std' => 'ایمیل',
                    ),
                    'yith_fbanner_newsletter_email_name' => array(
                        'title' =>  __('"ایمیل" فیلد نام', 'yit'),
                        'description' => __(' "نام" صفت برای فیلد ایمیل ', 'yit'),
                        'type' => 'text',
                        'std' => 'ایمیل',
                    ),
                    'yith_fbanner_newsletter_submit_label' => array(
                        'title' =>  __('برچسب دکمه ارسال', 'yit'),
                        'description' => __('برچسب برای دکمه ی ارسال', 'yit'),
                        'type' => 'text',
                        'std' => __( 'اشتراک', 'yit' ),
                    ),
                    'yith_fbanner_newsletter_hidden_fields' => array(
                        'title' =>  __('فیلدهای پنهان در خبرنامه', 'yit'),
                        'description' => __('تنظیم فیلدهای پنهان موجود در فرم. استفاده از فرم: field1=value1&field2=value2&field3=value3', 'yit'),
                        'type' => 'text',
                        'std' => '',
                   )
                )
            )
        )
    ),
);